Summary: Shared color profiles are used in color management aware applications
Name: shared-color-profiles
Version: 0.1.6
Release: 1%{?dist}
URL: http://github.com/hughsie/shared-color-profiles
Source0: http://people.freedesktop.org/~hughsient/releases/%{name}-%{version}.tar.xz
License: GPLv2+ and Public Domain and zlib and MIT
BuildArch: noarch

Requires: color-filesystem
BuildRequires: argyllcms
BuildRequires: colord >= 0.1.25

%description 
The shared-color-profiles package contains various profiles which are useful for
programs that are color management aware.
This package only contains free profiles that can be safely distributed.

%package extra
Summary: More color profiles for color management that are less commonly used
Requires: %{name} = %{version}-%{release}

%description extra
More color profiles for color management that are less commonly used.
This may be useful for CMYK soft-proofing or for extra device support.

%prep
%setup -q

%build
%configure

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog
%dir %{_datadir}/shared-color-profiles

# common colorspaces
%{_datadir}/color/icc/AdobeRGB1998.icc
%{_datadir}/color/icc/AppleRGB.icc
%{_datadir}/color/icc/CIE-RGB.icc
%{_datadir}/color/icc/ColorMatchRGB.icc
%{_datadir}/color/icc/NTSC-RGB.icc
%{_datadir}/color/icc/PAL-RGB.icc
%{_datadir}/color/icc/ProPhotoRGB.icc
%{_datadir}/color/icc/SMPTE-C-RGB.icc
%{_datadir}/color/icc/sRGB.icc

# so we can display at least something in the default dropdown
%{_datadir}/color/icc/FOGRA39L_coated.icc
%{_datadir}/color/icc/Oysonar/Gray.icc

# monitor test profiles
%{_datadir}/color/icc/bluish.icc
%{_datadir}/color/icc/AdobeGammaTest.icm
%{_datadir}/color/icc/Fake*.icc

# abstract profiles
%{_datadir}/color/icc/Yamma
%{_datadir}/shared-color-profiles/Yamma

# named color profiles
%{_datadir}/color/icc/x11-colors.icc

%files extra
%defattr(-,root,root,-)

%dir %{_datadir}/color/icc/Oysonar
%{_datadir}/color/icc/FOGRA27L_coated.icc
%{_datadir}/color/icc/FOGRA28L_webcoated.icc
%{_datadir}/color/icc/FOGRA29L_uncoated.icc
%{_datadir}/color/icc/FOGRA30L_uncoated_yellowish.icc
%{_datadir}/color/icc/FOGRA40L_SC_paper.icc
%{_datadir}/color/icc/GRACoL*.icc
%{_datadir}/color/icc/SNAP*.icc
%{_datadir}/color/icc/SWOP*.icc
%{_datadir}/color/icc/Oysonar/Gray-CIE_L.icc
%{_datadir}/shared-color-profiles/Oysonar/*

# other colorspaces not often used
%{_datadir}/color/icc/ISOnewspaper26.icc
%{_datadir}/color/icc/BestRGB.icc
%{_datadir}/color/icc/BetaRGB.icc
%{_datadir}/color/icc/BruceRGB.icc
%{_datadir}/color/icc/DonRGB4.icc
%{_datadir}/color/icc/ECI-RGBv2.icc
%{_datadir}/color/icc/EktaSpacePS5.icc
%{_datadir}/color/icc/WideGamutRGB.icc

# other named color profiles not generally useful
%{_datadir}/color/icc/crayons.icc

%changelog
* Mon Nov 26 2012 Richard Hughes <rhughes@redhat.com> - 0.1.6-1
- New upstream release.
- Support the new metadata standard for all profiles
- Repair the damaged CMM version in any of the modified ICC profiles
- Ship FOGRA39L in the main package as it's a more modern space than FOGRA27L

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Mar 19 2012 Richard Hughes <rhughes@redhat.com> - 0.1.5-3
- Fix up the package description to not refer to Fedora.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 01 2011 Richard Hughes <rhughes@redhat.com> - 0.1.5-1
- New upstream release.
- More metadata added to profiles to make client programs better.

* Fri Apr 08 2011 Richard Hughes <rhughes@redhat.com> - 0.1.4-1
- New upstream release.
- Much quicker colord startup when using colord >= 0.1.6

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Oct 01 2010 Richard Hughes <rhughes@redhat.com> - 0.1.3-1
- New upstream release.
- Rename the Oyranos profiles to Oysonar to fix Kai-Uwe Behrmann's
  reported license violation.
- Resolves: #657552

* Fri Oct 01 2010 Richard Hughes <rhughes@redhat.com> - 0.1.2-1
- New upstream release.

* Tue Apr 06 2010 Richard Hughes <rhughes@redhat.com> - 0.1.1-1
- New upstream release.
- Update to the latest version of the Fedora Packaging Guidelines
- Install some CMYK profiles to an -extra subpackage as most users will not
  need these and they are over 15Mb in size and will clog up the desktop spin.

* Mon Dec 07 2009 Richard Hughes <richard@hughsie.com> 0.1.0-1
- Initial import of 0.1.0

